# Uses of Interface
org.eclipse.mat.snapshot.ISnapshot

Packages that use ISnapshot
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof.extension
Extension point interfaces for HPROF dumps.
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.component
These are queries for whole components (class loaders and packages).
org.eclipse.mat.inspections.eclipse
These are queries for debugging Eclipse based applications.
org.eclipse.mat.inspections.finalizer
These are queries for examining objects subject to finalization.
org.eclipse.mat.inspections.jetty
These are queries for the Jetty web server.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.inspections.util
These are utilities for Eclipse OSGi bundle queries.
org.eclipse.mat.internal.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.jdt
Links class names to the class source in an Eclipse IDE, not an Application Programming Interface (API).
org.eclipse.mat.jruby.resolver
These are queries for snapshots generated by JRuby applications.
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.snapshot.actions
Supplementary actions to open a snapshot, copy to clipboard, open icon assist and so on - user interface (not API).
org.eclipse.mat.ui.snapshot.editor
Eclipse editor for everything to do with snapshots - user interface (not API).
org.eclipse.mat.ui.snapshot.panes.oql
Configuration provider to assign content assist to the SourceViewer.
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist
Content assist for the Object Query Language pane, including suggesting class names and highlighting keywords.
org.eclipse.mat.ui.snapshot.views
The summary view of the snapshot and also all the messages - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of ISnapshot in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
DTFJHeapObjectReader.`open(ISnapshot snapshot)`
`IObject`
DTFJHeapObjectReader.`read(int objectId, ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.hprof

Fields in org.eclipse.mat.hprof declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
ExportHprof.`snapshot`
Methods in org.eclipse.mat.hprof with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
HprofHeapObjectReader.`open(ISnapshot snapshot)`
`IObject`
HprofHeapObjectReader.`read(int objectId, ISnapshot snapshot)`
`IObject`
HprofRandomAccessParser.`read(int objectId, long position, ISnapshot dump, IIndexReader.IOne2LongIndex o2hprof)`
`List<IClass>`
HprofRandomAccessParser.`resolveClassHierarchy(ISnapshot snapshot, IClass clazz)`

## Uses of ISnapshot in org.eclipse.mat.hprof.extension

Methods in org.eclipse.mat.hprof.extension with parameters of type ISnapshot
Modifier and Type
Method
Description
`<A> A`
IRuntimeEnhancer.`getAddon(ISnapshot snapshot, Class<A> addon)`
Returns addon information of certain type if such information is attached to the HPROF snapshot

## Uses of ISnapshot in org.eclipse.mat.inspections

Fields in org.eclipse.mat.inspections declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
ComparisonReport.`baseline`
`ISnapshot`
DeltaHistogram.`baseline`
`ISnapshot`
FindLeaksQuery2.`baseline`
`ISnapshot`
LeakHunterQuery2.`baseline`
`ISnapshot`
SimpleComparison.`baseline`
`ISnapshot`
BigDropsQuery.`snapshot`
`ISnapshot`
BiggestObjectsPieQuery.`snapshot`
`ISnapshot`
ClassLoaderExplorerQuery.`snapshot`
`ISnapshot`
ClassReferrersQuery.`snapshot`
`ISnapshot`
ComparisonReport.`snapshot`
`ISnapshot`
CustomizedRetainedSetQuery.`snapshot`
`ISnapshot`
DuplicatedClassesQuery.`snapshot`
`ISnapshot`
FinalizerReferenceStatQuery.`snapshot`
`ISnapshot`
FindLeaksQuery.`snapshot`
`ISnapshot`
FindLeaksQuery2.`snapshot`
`ISnapshot`
FindStringsQuery.`snapshot`
`ISnapshot`
GCRootsQuery.`snapshot`
`ISnapshot`
GroupByValueQuery.`snapshot`
`ISnapshot`
HeapDumpInfoQuery.`snapshot`
`ISnapshot`
HistogramQuery.`snapshot`
`ISnapshot`
ImmediateDominatorsQuery.`snapshot`
`ISnapshot`
LeakHunterQuery.`snapshot`
`ISnapshot`
ObjectListQuery.`snapshot`
`ISnapshot`
OQLQuery.`snapshot`
`ISnapshot`
PhantomReferenceStatQuery.`snapshot`
`ISnapshot`
ReferenceLeakQuery.`snapshot`
`ISnapshot`
ReferenceQuery.`snapshot`
`ISnapshot`
RetainedSetQuery.`snapshot`
`ISnapshot`
SimpleComparison.`snapshot`
`ISnapshot`
SoftReferenceStatQuery.`snapshot`
`ISnapshot`
SystemPropertiesQuery.`snapshot`
`ISnapshot`
TopConsumers2Query.`snapshot`
`ISnapshot`
TopConsumersQuery.`snapshot`
`ISnapshot`
WasteInCharArraysQuery.`snapshot`
`ISnapshot`
WeakReferenceStatQuery.`snapshot`
Methods in org.eclipse.mat.inspections with parameters of type ISnapshot
Modifier and Type
Method
Description
`static IResult`
ReferenceQuery.`execute(String className, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`
Important: the className must point to java.lang.ref.Reference or one of its subclasses.
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, String referentField, IProgressListener listener)`
`static CompositeResult`
ReferenceQuery.`execute(ArrayInt instanceSet, SetInt referentSet, ISnapshot snapshot, String labelHistogramReferenced, String labelHistogramRetained, String labelHistogramStronglyRetainedReferents, IProgressListener listener)`
`static void`
InspectionAssert.`heapFormatIsNot(ISnapshot snapshot, String... heapFormat)`
Constructors in org.eclipse.mat.inspections with parameters of type ISnapshot
Modifier
Constructor
Description
``
`InboundClasses(ISnapshot snapshot, int[] objectIds)`
``
`OutboundClasses(ISnapshot snapshot, int[] objectIds)`

## Uses of ISnapshot in org.eclipse.mat.inspections.collectionextract

Methods in org.eclipse.mat.inspections.collectionextract that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
AbstractExtractedCollection.`getSnapshot()`
`ISnapshot`
IMapExtractor.EntryObject.`getSnapshot()`

## Uses of ISnapshot in org.eclipse.mat.inspections.collections

Fields in org.eclipse.mat.inspections.collections declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
ArrayFillRatioQuery.`snapshot`
`ISnapshot`
ArraysBySizeQuery.`snapshot`
`ISnapshot`
CollectionFillRatioQuery.`snapshot`
`ISnapshot`
CollectionsBySizeQuery.`snapshot`
`ISnapshot`
ExtractListValuesQuery.`snapshot`
`ISnapshot`
HashEntriesQuery.`snapshot`
`ISnapshot`
HashSetValuesQuery.`snapshot`
`ISnapshot`
MapCollisionRatioQuery.`snapshot`
`ISnapshot`
PrimitiveArraysWithAConstantValueQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.inspections.component

Fields in org.eclipse.mat.inspections.component declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
ComponentReportQuery.`snapshot`
`ISnapshot`
TopComponentsReportQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.inspections.eclipse

Fields in org.eclipse.mat.inspections.eclipse declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
LeakingPlugins.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.inspections.finalizer

Fields in org.eclipse.mat.inspections.finalizer declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
FinalizerInProcessingQuery.`snapshot`
`ISnapshot`
FinalizerQuery.`snapshot`
`ISnapshot`
FinalizerQueueQuery.`snapshot`
`ISnapshot`
FinalizerThreadLocalsQuery.`snapshot`
`ISnapshot`
FinalizerThreadQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.inspections.jetty

Methods in org.eclipse.mat.inspections.jetty with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
JettyRequestResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`

## Uses of ISnapshot in org.eclipse.mat.inspections.osgi

Fields in org.eclipse.mat.inspections.osgi declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
BundleRegistryQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model with parameters of type ISnapshot
Modifier and Type
Method
Description
`static IBundleReader`
BundleReaderFactory.`getBundleReader(ISnapshot snapshot)`
Check for the type of framework and return corresponding IBundleReader
Constructors in org.eclipse.mat.inspections.osgi.model with parameters of type ISnapshot
Modifier
Constructor
Description
``
`EquinoxBundleReader(ISnapshot snapshot)`
``
`EquinoxBundleReader2(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.inspections.threads

Fields in org.eclipse.mat.inspections.threads declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
ThreadInfoQuery.`snapshot`
`ISnapshot`
ThreadOverviewQuery.`snapshot`
`ISnapshot`
ThreadStackQuery.`snapshot`
Methods in org.eclipse.mat.inspections.threads with parameters of type ISnapshot
Modifier and Type
Method
Description
`static boolean`
ThreadOverviewQuery.`isThread(ISnapshot snapshot, int objectId)`

## Uses of ISnapshot in org.eclipse.mat.inspections.util

Methods in org.eclipse.mat.inspections.util with parameters of type ISnapshot
Modifier and Type
Method
Description
`IResultTree`
ObjectTreeFactory.TreePathBuilder.`build(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.internal.collectionextract

Methods in org.eclipse.mat.internal.collectionextract with parameters of type ISnapshot
Modifier and Type
Method
Description
`static int[]`
ExtractionUtils.`referenceArrayToIds(ISnapshot snapshot, long[] referenceArray)`
`static JdkVersion`
ExtractionUtils.`resolveVersion(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.internal.snapshot

Methods in org.eclipse.mat.internal.snapshot with parameters of type ISnapshot
Modifier and Type
Method
Description
`static final ArgumentFactory`
HeapObjectArgumentFactory.`build(ISnapshot snapshot, int[] objectIds)`
`static final ArgumentFactory`
HeapObjectArgumentFactory.`build(ISnapshot snapshot, IHeapObjectArgument argument)`
`static HeapObjectParamArgument`
ArgumentParser.`consumeHeapObjects(ISnapshot snapshot, String line)`
`static HeapObjectParamArgument`
ArgumentParser.`consumeHeapObjects(ISnapshot snapshot, String[] args, ParsePosition pos)`
Constructors in org.eclipse.mat.internal.snapshot with parameters of type ISnapshot
Modifier
Constructor
Description
``
`HeapObjectContextArgument(ISnapshot snapshot, List<IContextObject> context, String label)`
``
`HeapObjectParamArgument(ISnapshot snapshot)`
``
`SnapshotQueryContext(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
DominatorQuery.`snapshot`
`ISnapshot`
MultiplePath2GCRootsQuery.`snapshot`
`ISnapshot`
Path2GCRootsQuery.`snapshot`
`ISnapshot[]`
CompareTablesQuery.`snapshots`
Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type ISnapshot
Modifier and Type
Method
Description
`static DominatorQuery.Tree`
DominatorQuery.Factory.`create(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection)`
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, boolean mergeFromRoots, IProgressListener listener)`
Creates a tree by class.
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByClass(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByClassLoader(ISnapshot snapshot, int[] roots, IProgressListener listener)`
`static DominatorQuery.Tree`
DominatorQuery.Factory.`groupByPackage(ISnapshot snapshot, int[] roots, IProgressListener listener)`
Constructors in org.eclipse.mat.internal.snapshot.inspections with parameters of type ISnapshot
Modifier
Constructor
Description
``
`Tree(ISnapshot snapshot, int[] roots, DominatorQuery.Grouping groupedBy)`
``
`Tree(ISnapshot snapshot, int objectId, IPathsFromGCRootsComputer computer)`

## Uses of ISnapshot in org.eclipse.mat.jdt

Fields in org.eclipse.mat.jdt declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
OpenSourceFileQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.jruby.resolver

Methods in org.eclipse.mat.jruby.resolver with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
JRubyScriptResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] localVars, int currentVarId, IProgressListener listener)`
`void`
RubyStacktraceDumper.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`
`Map<String,RubyStacktraceDumper.FrameModel[]>`
RubyStacktraceDumper.`getAllStackTraces(ISnapshot model)`
Extracts the Ruby stack trace for all active Ruby threads in the given heap dump.

## Uses of ISnapshot in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
IObjectReader.`open(ISnapshot snapshot)`
Open the dump file associated with the snapshot
`IObject`
IObjectReader.`read(int objectId, ISnapshot snapshot)`
Get detailed information about an object

## Uses of ISnapshot in org.eclipse.mat.parser.internal

Classes in org.eclipse.mat.parser.internal that implement ISnapshot
Modifier and Type
Class
Description
`final class`
`SnapshotImpl`
The implementation of the `ISnapshot` representing the entire heap dump.
Methods in org.eclipse.mat.parser.internal that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
SnapshotFactoryImpl.`openSnapshot(File file, Map<String,String> args, IProgressListener listener)`
Methods in org.eclipse.mat.parser.internal with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
SnapshotFactoryImpl.`dispose(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.parser.internal.oql

Methods in org.eclipse.mat.parser.internal.oql with parameters of type ISnapshot
Modifier and Type
Method
Description
`Object`
OQLQueryImpl.`execute(ISnapshot snapshot, IProgressListener monitor)`

## Uses of ISnapshot in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
EvaluationContext.`getSnapshot()`
Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
EvaluationContext.`setSnapshot(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot with parameters of type ISnapshot
Modifier and Type
Method
Description
`int`
ObjectMarker.`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
AbstractObjectImpl.`getSnapshot()`
Methods in org.eclipse.mat.parser.model with parameters of type ISnapshot
Modifier and Type
Method
Description
`long`
XClassHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
`long`
XClassLoaderHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
`static final List<IClass>`
ClassLoaderImpl.`doGetDefinedClasses(ISnapshot dump, int classLoaderId)`
Gets the classes defined by a given loader
`static final long`
ClassLoaderImpl.`doGetRetainedHeapSizeOfObjects(ISnapshot dump, int classLoaderId, boolean calculateIfNotAvailable, boolean calculateMinRetainedSize, IProgressListener listener)`
Calculates the retained size of all classes and instances of the class loaded by a class loader.
`void`
AbstractObjectImpl.`setSnapshot(ISnapshot dump)`
Set the snapshot for an object.
`void`
ClassImpl.`setSnapshot(ISnapshot dump)`

## Uses of ISnapshot in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
SnapshotFactory.Implementation.`openSnapshot(File file, Map<String,String> arguments, IProgressListener listener)`
Opens a snapshot
`static ISnapshot`
SnapshotFactory.`openSnapshot(File file, Map<String,String> arguments, IProgressListener listener)`
Create a snapshot Object from a file representation of a snapshot.
`static ISnapshot`
SnapshotFactory.`openSnapshot(File file, IProgressListener listener)`
Create a snapshot Object from a file representation of a snapshot.
Methods in org.eclipse.mat.snapshot with parameters of type ISnapshot
Modifier and Type
Method
Description
`long`
ClassHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
Find out the retained size
`long`
ClassLoaderHistogramRecord.`calculateRetainedSize(ISnapshot snapshot, boolean calculateIfNotAvailable, boolean approximation, IProgressListener listener)`
Find out the retained size
`static void`
SnapshotFactory.`dispose(ISnapshot snapshot)`
Dispose the whole snapshot.
`void`
SnapshotFactory.Implementation.`dispose(ISnapshot snapshot)`
Free resources when the snapshot is no longer needed.
`Object`
IOQLQuery.`execute(ISnapshot snapshot, IProgressListener monitor)`
Execute the OQL query.
`IResultTree`
Histogram.`groupBySuperclass(ISnapshot snapshot)`
implementation as result tree grouped by superclass
`void`
UnreachableObjectsHistogram.`setSnapshot(ISnapshot snapshot)`
Constructors in org.eclipse.mat.snapshot with parameters of type ISnapshot
Modifier
Constructor
Description
``
`DominatorsSummary(DominatorsSummary.ClassDominatorRecord[] classDominatorRecords, ISnapshot snapshot)`
``
`MultiplePathsFromGCRootsClassRecord(IClass clazz, int level, boolean fromRoots, ISnapshot snapshot)`
Constructor
``
`MultiplePathsFromGCRootsRecord(int objectId, int level, ISnapshot snapshot)`
A constructor to create the record
``
`SuperclassTree(Histogram histogram, ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
IRequestDetailsResolver.`complement(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)`
Add extra details

## Uses of ISnapshot in org.eclipse.mat.snapshot.model

Methods in org.eclipse.mat.snapshot.model that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
IObject.`getSnapshot()`
Returns the snapshot from which this object has been read.
Constructors in org.eclipse.mat.snapshot.model with parameters of type ISnapshot
Modifier
Constructor
Description
``
`NamedReference(ISnapshot snapshot, long address, String name)`
Constructs a reference to a Java object with a description of why the reference occurred.
``
`ObjectReference(ISnapshot snapshot, long address)`
Create a reference to an object based on its address but in a form where the object id can be found.
``
`PseudoReference(ISnapshot snapshot, long address, String name)`
Create a PseudoReference
``
`ThreadToLocalReference(ISnapshot snapshot, long address, String name, int localObjectId, GCRootInfo[] gcRootInfo)`
Create a thread to local reference

## Uses of ISnapshot in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query with parameters of type ISnapshot
Modifier and Type
Method
Description
`static TQuantize`
TQuantize.`defaultValueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
A convenience methods to aggregate a table by one of the well-known targets and create the sum for all other columns.
`static final URL`
Icons.`forObject(ISnapshot snapshot, int objectId)`
Construct an icon URL for the current object pointing to the right image and containing the right GC decoration.
`static final URL`
Icons.`inbound(ISnapshot snapshot, int objectId)`
Construct an inbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.
`static SnapshotQuery`
SnapshotQuery.`lookup(String name, ISnapshot snapshot)`
Factory method to create a query by name.
`static final URL`
Icons.`outbound(ISnapshot snapshot, int objectId)`
Construct an outbound reference icon URL for the current object pointing to the right image and containing the right GC decoration.
`static SnapshotQuery`
SnapshotQuery.`parse(String commandLine, ISnapshot snapshot)`
Factory method to create a query by command line, i.e.
`static TQuantize.Builder`
TQuantize.`valueDistribution(ISnapshot snapshot, IResultTable base, int... columns)`
Creates a `TQuantize` object which aggregates the table by the value of the columns.
`static TQuantize.Builder`
TQuantize.`valueDistribution(ISnapshot snapshot, IResultTable base, TQuantize.Target target)`
Creates a `TQuantize` object which aggregates the table by one of the well-known targets, e.g.
Constructors in org.eclipse.mat.snapshot.query with parameters of type ISnapshot
Modifier
Constructor
Description
``
`Inbound(ISnapshot snapshot, int[] objectIds)`
Construct a inbound references tree
``
`Outbound(ISnapshot snapshot, int[] objectIds)`
Construct a outbound references tree
``
`PieFactory(ISnapshot snapshot)`
Create a pie factory for the given snapshot.
``
`PieFactory(ISnapshot snapshot, long pieSize)`
Create a pie factory for the given snapshot.
``
`RetainedSizeDerivedData(ISnapshot snaphot)`
Initial constructor.

## Uses of ISnapshot in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
Policy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`

## Uses of ISnapshot in org.eclipse.mat.ui.snapshot.actions

Fields in org.eclipse.mat.ui.snapshot.actions declared as ISnapshot
Modifier and Type
Field
Description
`ISnapshot`
CopyActions.`snapshot`
`ISnapshot`
SaveValueAsQuery.`snapshot`

## Uses of ISnapshot in org.eclipse.mat.ui.snapshot.editor

Methods in org.eclipse.mat.ui.snapshot.editor that return ISnapshot
Modifier and Type
Method
Description
`ISnapshot`
ISnapshotEditorInput.`getBaseline()`
`ISnapshot`
ISnapshotEditorInput.`getSnapshot()`
Methods in org.eclipse.mat.ui.snapshot.editor with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
ISnapshotEditorInput.IChangeListener.`onBaselineLoaded(ISnapshot snapshot)`
`void`
ISnapshotEditorInput.IChangeListener.`onSnapshotLoaded(ISnapshot snapshot)`
`void`
ISnapshotEditorInput.`setBaseline(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.ui.snapshot.panes.oql

Constructors in org.eclipse.mat.ui.snapshot.panes.oql with parameters of type ISnapshot
Modifier
Constructor
Description
``
`OQLTextViewerConfiguration(ISnapshot snapshot, Color comment, Color keyword)`
Associates snapshot at this object.

## Uses of ISnapshot in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

Methods in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
FieldsSuggestionProvider.`setClassesSuggestions(ISnapshot snapshot, IContextInformation[] classSuggestions)`
Constructors in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist with parameters of type ISnapshot
Modifier
Constructor
Description
``
`ClassesSuggestionProvider(ISnapshot snapshot)`
Builds this object passing the snapshot
``
`FieldsSuggestionProvider(ISnapshot snapshot)`
Builds this object passing the snapshot
``
`PropertySuggestionProvider(ISnapshot snapshot)`
Builds this object passing the snapshot

## Uses of ISnapshot in org.eclipse.mat.ui.snapshot.views

Methods in org.eclipse.mat.ui.snapshot.views with parameters of type ISnapshot
Modifier and Type
Method
Description
`void`
SnapshotOutlinePage.HeapEditorOutlinePage.`onBaselineLoaded(ISnapshot snapshot)`
`void`
SnapshotOutlinePage.HeapEditorOutlinePage.`onSnapshotLoaded(ISnapshot snapshot)`

## Uses of ISnapshot in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util with parameters of type ISnapshot
Modifier and Type
Method
Description
`boolean`
QueryContextMenu.`anyInstances(ISnapshot snapshot, String cn)`
`void`
IPolicy.`fillInObjectArguments(ISnapshot snapshot, QueryDescriptor query, ArgumentSet set)`
`boolean`
QueryContextMenu.`instanceOf(ISnapshot snapshot, int o, String className)`
Instanceof test which works for simple objects and arrays
`boolean`
QueryContextMenu.`instanceOf(ISnapshot snapshot, IClass cls, String className)`
Instanceof test which works for simple object and array types